Skip to content

带单员接口

跟单 OpenAPI 使用 /api/v2/copy-trading/leader 前缀。所有接口仅访问当前 API Key 对应带单员自己的数据或设置,返回结构沿用 OpenAPI V2:

json
{ "code": 200, "msg": "success", "data": {} }
  • 所有接口都需要签名,API Key 账户类型必须为 COPY_TRADING
  • 查询接口允许 read-only API Key;写接口不支持 read-only API Key。
  • OpenAPI 公共签名参数请参考基础信息
  • 64 位整型字段在 JSON 中按现有 OpenAPI 序列化口径多以字符串返回。

当前带单

查询当前带单员的当前带单列表。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/orders/current

Parameters

无业务参数。

Response

data 为数组,每个元素包含:

字段类型说明
symbolIdstring交易对 ID
symbolNamestring交易对展示名
isLonginteger方向,0 空,1
positionTypeinteger仓位类型
leveragestring杠杆
openTimestring开仓时间,epoch millis
quantitystring数量
newPricestring当前价格
openPricestring开仓均价
totalFollowerCountstring跟单人数
totalFollowerMarginstring用户跟单总额
profitRatestring收益率
markPricestring标记价格

Example

http
GET /api/v2/copy-trading/leader/orders/current
json
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "symbolId": "BTC-SWAP-USDT",
      "symbolName": "BTCUSDT Perpetual",
      "isLong": 1,
      "positionType": 0,
      "leverage": "20",
      "openTime": "1717200000000",
      "quantity": "0.000058242",
      "newPrice": "52246.217",
      "openPrice": "51110.77",
      "totalFollowerCount": "12",
      "totalFollowerMargin": "1000",
      "profitRate": "0.0123",
      "markPrice": "68100.2"
    }
  ]
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter ...参数错误
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

历史带单

查询当前带单员的历史带单列表。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/orders/history

Parameters

名称位置类型是否必须默认值说明
pagequeryLONGNO1页码,从 1 开始
sizequeryLONGNO10每页数量

Response

data 为分页对象:

字段类型说明
pagesstring总页数
totalstring总条数
listarray历史带单列表

data.list[] 字段:

字段类型说明
symbolIdstring交易对
isLongnumber方向,0 空,1
positionTypenumber仓位类型,0 全仓,1 逐仓
leveragestring杠杆
openPricestring开仓价
closePricestring平仓价
openTimestring开仓时间,epoch millis
closeTimestring平仓时间,epoch millis
profitstring已实现盈亏
statusnumber1 部分平仓,2 完全平仓
openQtystring最大持仓量
closeQtystring已平仓数量
positionProfitstring仓位盈亏
openFeestring开仓手续费
closeFeestring平仓手续费

Example

http
GET /api/v2/copy-trading/leader/orders/history?page=1&size=10
json
{
  "code": 200,
  "msg": "success",
  "data": {
    "pages": "3",
    "total": "21",
    "list": [
      {
        "symbolId": "BTC-SWAP-USDT",
        "isLong": 1,
        "positionType": 0,
        "leverage": "20",
        "openPrice": "51110.77",
        "closePrice": "52246.217",
        "openTime": "1717200000000",
        "closeTime": "1717203600000",
        "profit": "12.34",
        "status": 2,
        "openQty": "0.1",
        "closeQty": "0.1",
        "positionProfit": "12.34",
        "openFee": "0.1",
        "closeFee": "0.1"
      }
    ]
  }
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter ...pagesize 不合法
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

交易数据

查询当前带单员的交易数据。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/trade-data

Parameters

名称位置类型是否必须默认值说明
typequeryINTEGERNO7固定周期,仅支持 73090180365

Response

data 为数组,每个元素包含:

字段类型说明
profitRatestring收益率
accumulatedProfitstring累计收益 USDT
orderCountinteger交易笔数
winRatestring胜率
currentFollowerCountstring当前跟单人数
followerTotalProfitstring跟单者总收益
sharpeRatiostring夏普比率
totalFollowerCountstring累计跟单人数
assetManagementScalestring资产管理规模
profitLossRatiostring盈亏比
tradingFrequencystring交易频次
tradingDaysinteger交易天数

Example

http
GET /api/v2/copy-trading/leader/trade-data?type=30
json
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "profitRate": "0.1234",
      "accumulatedProfit": "888.1234",
      "orderCount": 18,
      "winRate": "0.6111",
      "currentFollowerCount": "21",
      "followerTotalProfit": "100.1234",
      "sharpeRatio": "1.2345",
      "totalFollowerCount": "89",
      "assetManagementScale": "12345.6789",
      "profitLossRatio": "2.18:1",
      "tradingFrequency": "0.6",
      "tradingDays": 30
    }
  ]
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter 'type' is not valid.type 不合法
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

分润历史

查询当前带单员的分润历史,保持最近 100 条口径。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/profit-sharings/history

Parameters

无业务参数。

Response

data 为数组,每个元素包含:

字段类型说明
totalProfitSharingstring周期内获得的总分润
weekOfYearinteger第几周
yearinteger年份
sharingDatestring分润日期
recommendUserSharestring推荐用户分成金额
realProfitSharestring带单员真实获得金额

Example

http
GET /api/v2/copy-trading/leader/profit-sharings/history
json
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "totalProfitSharing": "10.5",
      "weekOfYear": 22,
      "year": 2026,
      "sharingDate": "2026-06-01",
      "recommendUserShare": "1.5",
      "realProfitShare": "9"
    }
  ]
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter ...参数错误
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

带单交易对

查询当前带单员可用于 OpenAPI 的带单交易对。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/symbols

Parameters

无业务参数。

Response

data 为数组,每个元素包含:

字段类型说明
symbolIdstring带单交易对 ID
leveragestring带单杠杆
isLeadinteger是否带单,0 否,1

Example

http
GET /api/v2/copy-trading/leader/symbols
json
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "symbolId": "BTC-SWAP-USDT",
      "leverage": "20",
      "isLead": 1
    }
  ]
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter ...参数错误
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

修改带单设置

修改当前带单员的带单设置。交易对设置通过 symbolIds 与其他配置同一个接口提交。

Request Weight

1

Request URL

PUT /api/v2/copy-trading/leader/config

Parameters

Request body 使用 JSON。

字段类型是否必须说明
unLeadTypeintegerYES0 无冷却时间,1 自定义冷却时间
unLeadStartTimeLONGNO冷却开始时间,epoch millis
unLeadEndTimeLONGNO冷却结束时间,epoch millis
leadPositionTypeintegerYES带单仓位类型:-1 全部,0 全仓,1 逐仓
tradeProtectintegerYES交易保护开关
profitPeriodintegerYES分润周期:1 按日,7 按周
profitRateDECIMALYES分润比例
followAssetLowerLimitDECIMALYES最低跟单资产
fixedAmountFollowMinDECIMALYES固定金额跟单最小值
fixedRateFollowMinDECIMALYES固定比例跟单最小值
isNeedInviteintegerYES是否私域
inviteScopeintegerYES私域邀请范围
symbolIdsARRAYYES本次完整提交的带单交易对列表
recommendShareintegerNO是否允许推荐分润;不传表示不修改
recommendShareRateDECIMALNO推荐分润比例,小数位最多 8 位
inviteCodestringNO私域邀请码,仅 isNeedInvite=1 时处理

规则说明

  • unLeadType=1 时,unLeadEndTime 必须传且不能为 0,并且 unLeadEndTime >= unLeadStartTime;当 unLeadType=0 时,服务端会将冷却开始和结束时间置为 0
  • profitPeriod 只支持 17
  • profitRatefollowAssetLowerLimitfixedAmountFollowMinfixedRateFollowMin 除字段范围和精度限制外,还必须满足当前带单员等级配置;profitRate 上下限会受私域和自定义分润状态影响。
  • 当前为私域且配置过自定义分润比例的带单员,不允许切换为公域。
  • symbolIds 是完整提交列表;未提交的当前可带单交易对会被视为需要禁用;仍有带单中订单的交易对不能取消。
  • recommendShare 不传表示不修改推荐分润开关;当 recommendShare=1 时,recommendShareRate 必须 > 0<= 1
  • inviteCode 仅在 isNeedInvite=1 时处理;非空时长度必须为 6 到 10 位、不能包含中文,并会校验敏感词和唯一性。
  • read-only API Key 调用该写接口会被拒绝。

Response

成功时 datanull

Example

http
PUT /api/v2/copy-trading/leader/config
json
{
  "unLeadType": 1,
  "unLeadStartTime": 1717200000000,
  "unLeadEndTime": 1717286400000,
  "leadPositionType": 0,
  "tradeProtect": 1,
  "profitPeriod": 7,
  "profitRate": "0.1",
  "followAssetLowerLimit": "100",
  "fixedAmountFollowMin": "10",
  "fixedRateFollowMin": "10",
  "isNeedInvite": 1,
  "inviteScope": 2,
  "symbolIds": [
    "BTC-SWAP-USDT",
    "ETH-SWAP-USDT"
  ],
  "recommendShare": 1,
  "recommendShareRate": "0.2",
  "inviteCode": "LEADER2026"
}

成功响应:

json
{
  "code": 200,
  "msg": "success",
  "data": null
}

Errors

codemsg说明
200success成功
-1020This operation is not supported.read-only API Key 调用写接口
-1102Mandatory parameter ...必填字段缺失或格式错误
-1130Data sent for paramter ...字段范围、精度或格式不合法
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-120047Leader does not exist.带单员不存在
-120067Copy trading level config not found.等级配置不存在
-120072Copy trading leader config is invalid.带单设置业务参数不合法,例如等级限制、分润比例或推荐分润比例不满足要求
-120073Unable to switch invite setting.当前私域且配置过自定义分润比例时,不允许切换为公域
-120078unLeadStartTime or unLeadEndTime is invalid.冷却时间窗口不合法
-32090Trading pair change is not allowed.要取消的交易对仍存在带单中订单
-32093Copy trading position type cannot be changed.当前实际持仓不满足仓位模式切换条件
-120510Invite code already exists.邀请码重复
-120511Invite code contains sensitive content.邀请码包含敏感内容
-120512Invite code is invalid.邀请码格式不合法
-1000unknown未知异常

我的跟单用户

查询当前带单员的当前跟单用户列表。

Request Weight

1

Request URL

GET /api/v2/copy-trading/leader/followers

Parameters

名称位置类型是否必须默认值说明
pagequeryLONGNO1页码,从 1 开始
sizequeryLONGNO10每页数量

Response

data 为分页对象:

字段类型说明
pagesstring总页数
totalstring总条数
listarray跟单用户列表

data.list[] 字段:

字段类型说明
followerNicknamestring跟随者脱敏展示名
followAmountLimitstring跟单投入总额,单位 USDT
totalFollowMarginstring累计跟单本金
totalProfitstring累计跟单收益,单位 USDT
followRunningMillsstring运行时长,毫秒

Example

http
GET /api/v2/copy-trading/leader/followers?page=1&size=10
json
{
  "code": 200,
  "msg": "success",
  "data": {
    "pages": "1",
    "total": "1",
    "list": [
      {
        "followerNickname": "****644",
        "followAmountLimit": "880",
        "totalFollowMargin": "0",
        "totalProfit": "0",
        "followRunningMills": "61200000"
      }
    ]
  }
}

Errors

codemsg说明
200success成功
-1130Data sent for paramter ...pagesize 不合法
-120041Copy trading leader is not available.当前签名账户不是有效带单员
-1000unknown未知异常

移除跟单用户

移除当前带单员自己的跟单用户。

Request Weight

1

Request URL

DELETE /api/v2/copy-trading/leader/followers/{followerUserId}

Parameters

名称位置类型是否必须说明
followerUserIdpathLONGYES要移除的跟随者用户 ID,必须大于等于 1

Response

成功时 datanull

Example

http
DELETE /api/v2/copy-trading/leader/followers/123456789
json
{
  "code": 200,
  "msg": "success",
  "data": null
}

Errors

codemsg说明
200success成功
-1020This operation is not supported.read-only API Key 调用写接口
-1130Data sent for paramter 'followerUserId' is not valid.followerUserId 不合法
-120047Leader does not exist.带单员不存在
-32045Copy trading follower not found.跟随关系不存在
-120055The follower currently has copy position, cannot be removed.跟随者当前有跟单仓位,不能移除
-1000unknown未知异常

基于 MIT 许可发布